﻿"use strict";

/* Alpine - Copyright (c) 2009-2021 StarTex Software, LLC */
var capsLockOn;

document.onkeydown = function (e) {
    e = e || window.event;
    var keyCode = e.keyCode ? e.keyCode : e.which;

    var warningElement = document.getElementById('capsLockWarning');
    if (!warningElement)
        return;

    if (keyCode == 20 && capsLockOn !== 'undefined') {
        capsLockOn = !capsLockOn;
        if (capsLockOn)
            warningElement.style.display = 'block';
        else
            warningElement.style.display = 'none';
    }
};

document.onkeypress = function (e) {
    var keyCode = e.keyCode ? e.keyCode : e.which;

    var warningElement = document.getElementById('capsLockWarning');
    if (!warningElement)
        return;

    var shiftKey = e.shiftKey ? e.shiftKey : ((keyCode == 16) ? true : false);
    capsLockOn = ((keyCode >= 65 && keyCode <= 90) && !shiftKey) || ((keyCode >= 97 && keyCode <= 122) && shiftKey);

    if (capsLockOn)
        warningElement.style.display = 'block';
    else
        warningElement.style.display = 'none';
};