﻿"use strict";

/* Alpine - Copyright (c) 2009-2021 StarTex Software, LLC */

var AdminCore = AdminCore || {};

AdminCore.ReportFormCountsModel = function (data) {
    var self = this;


    self.InstanceFormCounts = ko.observableArray(data);

    // Sets Initial Sorting
    self.SortedBy = ko.observable('CustomerName');

    self.Sort = function (column) {
        if (self.SortedBy() !== column || self.SortedBy() === 'R' + column) {
            self.SortedBy(column);

            self.InstanceFormCounts(self.InstanceFormCounts().sort(CommonCore.SortByProperty(column + ' desc')));

        } else {
            self.SortedBy('R' + column);

            self.InstanceFormCounts(self.InstanceFormCounts().sort(CommonCore.SortByProperty(column)));
        }
    };
};
